Page MenuHomePhabricator

Send Parsoid API request immediately when user clicks edit
Closed, ResolvedPublic8 Story Points

Description

Right now, when the user clicks edit, we first load the ViewPageTarget code, then that code sends the Parsoid API request. This means that, on a cold cache, we have to wait for two network requests to complete before we have the HTML and can start setting up the editor. Instead, we should send the API request immediately and load the rest of the VE code in parallel.

Details

Related Gerrit Patches:
mediawiki/extensions/VisualEditor : masterSend Parsoid API request immediately when user clicks edit
mediawiki/extensions/VisualEditor : wmf/1.25wmf21Send Parsoid API request immediately when user clicks edit

Event Timeline

Catrope created this task.Feb 22 2015, 6:27 AM
Catrope claimed this task.
Catrope raised the priority of this task from to Needs Triage.
Catrope updated the task description. (Show Details)
Catrope added subscribers: Catrope, ori.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptFeb 22 2015, 6:27 AM
Catrope set Security to None.Feb 22 2015, 6:28 AM
Catrope edited a custom field.
Jdforrester-WMF triaged this task as Unbreak Now! priority.Feb 23 2015, 6:17 PM
Jdforrester-WMF moved this task from To Triage to Bug Fixes on the VisualEditor board.
Catrope edited a custom field.Feb 25 2015, 11:10 PM

Change 193026 had a related patch set uploaded (by Jforrester):
[WIP] Factor out loading code into TargetLoader

https://gerrit.wikimedia.org/r/193026

Change 196584 had a related patch set uploaded (by Catrope):
Send Parsoid API request immediately when user clicks edit

https://gerrit.wikimedia.org/r/196584

Jdforrester-WMF closed this task as Resolved.Mar 16 2015, 4:08 PM
Jdforrester-WMF moved this task from Accepted to Done on the VisualEditor 2014/15 Q3 blockers board.

Change 196584 merged by jenkins-bot:
Send Parsoid API request immediately when user clicks edit

https://gerrit.wikimedia.org/r/196584

Jdforrester-WMF moved this task from Blocked to Q4 on the VisualEditor board.Mar 16 2015, 4:51 PM

Change 197414 had a related patch set uploaded (by Jforrester):
Send Parsoid API request immediately when user clicks edit

https://gerrit.wikimedia.org/r/197414

Change 197414 merged by jenkins-bot:
Send Parsoid API request immediately when user clicks edit

https://gerrit.wikimedia.org/r/197414

ori moved this task from Doing to Done on the VisualEditor-Performance board.Mar 19 2015, 9:48 PM